Subject: [lamps] I-D Action: draft-ietf-lamps-cmp-algorithms-06.txt

From: [email-masked]
Date: Wed, 30 Jun 2021 05:24:00 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : Certificate Management Protocol (CMP) Algorithms
        Authors         : Hendrik Brockhaus
                          Hans Aschauer
                          Mike Ounsworth
                          John Gray
	Filename        : draft-ietf-lamps-cmp-algorithms-06.txt
	Pages           : 29
	Date            : 2021-06-30

Abstract:
   This document describes the conventions for using concrete
   cryptographic algorithms with the Certificate Management Protocol
   (CMP).  CMP is used to enroll and further manage the lifecycle of
   X.509 certificates.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-cmp-algorithms/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-lamps-cmp-algorithms-06.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-cmp-algorithms-06

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Wed, 30 Jun 2021 13:04:46 +0000

Hi

I just submitted an update of CMP Algorithms draft containing the following changes.

   *  Added text to Section 2 and Section 3.3 to clearly specify the
      hash algorithm to use for certConf messages for certificates
      signed with EdDSA (see thread "[CMP Updates] Hash algorithm to us
      for calculating certHash")
   *  Updated new RFC numbers for I-D.ietf-lamps-cms-aes-gmac-alg and I-
      D.ietf-lamps-crmf-update-algs

Many thanks to all of you for your support and contribution to the document.
Any further feedback is welcome.

Hendrik

> Von: Spasm <[email-masked]> Im Auftrag von [email-masked]
> Gesendet: Mittwoch, 30. Juni 2021 14:24
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatrac
> ker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cmp-
> algorithms%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7
> C38d845c94f9846d95aec08d93bc21698%7C38ae3bcd95794fd4addab42e1495d
> 55a%7C1%7C0%7C637606527054746672%7CUnknown%7CTWFpbGZsb3d8eyJ
> WIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C
> 1000&amp;sdata=Pw1gait3rnKqeR5ZMfaofE1b84bmK425yvkEDSSGPoo%3D&a
> mp;reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Farchive%2Fid%2Fdraft-ietf-lamps-cmp-algorithms-
> 06.html&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C38d84
> 5c94f9846d95aec08d93bc21698%7C38ae3bcd95794fd4addab42e1495d55a%7C
> 1%7C0%7C637606527054751663%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4
> wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&am
> p;sdata=xNNVHNNGwTXHC2GZ034bcpYwsldtKSaQ1It6HzmVhKI%3D&amp;reser
> ved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-cmp-algorithms-
> 06&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C38d845c94f
> 9846d95aec08d93bc21698%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7C
> 0%7C637606527054751663%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjA
> wMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sda
> ta=4QIuD7voyftHA1MwXGW%2B79dvHtofEVmnk3zV7u4RnJs%3D&amp;reserve
> d=0
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.org
> %2Finternet-
> drafts%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C38d
> 845c94f9846d95aec08d93bc21698%7C38ae3bcd95794fd4addab42e1495d55a%
> 7C1%7C0%7C637606527054751663%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiM
> C4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&a
> mp;sdata=9lUptqZ9jzpX46ylxEc7RxgMDYde9W3x0N1VRgjBmWo%3D&amp;rese
> rved=0
> 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.brockha
> us%40siemens.com%7C38d845c94f9846d95aec08d93bc21698%7C38ae3bcd957
> 94fd4addab42e1495d55a%7C1%7C0%7C637606527054751663%7CUnknown%7
> CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJ
> XVCI6Mn0%3D%7C1000&amp;sdata=ywn2XXchCCA9e1Y3jck4M0opLl9kPD4uA4
> OILO9z9EU%3D&amp;reserved=0